package projectzombie.display;

import mainloop.task.IMainloopTask;
import projectzombie.Main;

public class DisplayStatsEventHandler implements IMainloopTask
{
	public static final DisplayStatsEventHandler DISPLAY_STATS_EVENT_HANDLER = new DisplayStatsEventHandler();
	
	public static int fps = 0;

	@Override
	public boolean MainLoopDelay(long millis) {
		return millis > 1000;
	}

	@Override
	public boolean MainLoopRepeat() {
		return true;
	}

	@Override
	public void MainLoopUpdate()
	{
		// Display the fps
		fps = DisplayWindow.fps;
		DisplayWindow.fps = 0;
	}
	
	
}
